aboutsummaryrefslogtreecommitdiffstats
path: root/deploy/launch.sh
diff options
context:
space:
mode:
authorHarry Huang <huangxiangyu5@huawei.com>2017-03-21 11:31:56 +0800
committerHarry Huang <huangxiangyu5@huawei.com>2017-03-21 16:14:39 +0800
commitb21d57081d4b705689cb6d7372e254818b84a760 (patch)
treef57efd74a899a87d039c5a21fe057f00b0c277d9 /deploy/launch.sh
parentb7fb5c062e0e806e34ebc53fe670f00f8417cd4a (diff)
Opera adapter fix
* CI return 0 when opera_adapter fails which cover the error. * opera_adapter runs with no sudo will fail when generate ssh key. * opera_adapter.py use simple ip replacement for openrc file will lead to error when openrc file changed in compass. 1. add judgement to tell if opera_adapter fails 2. add sudo when run opera_adapter 3. pass data in openrc files to opera openrc instead of ip rewriting Change-Id: I681717947746b768791529975a5b0d2a23c6069a Signed-off-by: Harry Huang <huangxiangyu5@huawei.com>
Diffstat (limited to 'deploy/launch.sh')
-rwxr-xr-xdeploy/launch.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/deploy/launch.sh b/deploy/launch.sh
index aa476784..5f1ee1cb 100755
--- a/deploy/launch.sh
+++ b/deploy/launch.sh
@@ -142,5 +142,8 @@ echo "NOTE: openrc file is in the controller nodes"
echo ""
if [[ ${DHA##*/} =~ "openo" ]]; then
- python ${COMPASS_DIR}/deploy/opera_adapter.py $DHA $NETWORK
+ sudo python ${COMPASS_DIR}/deploy/opera_adapter.py $DHA $NETWORK
+ if [[ $? -ne 0 ]]; then
+ exit 1
+ fi
fi